/*
 * WeihnachtsBaumRcHolzC.c
 *
 * Created: 15.11.2016 17:18:23
 * Author : Thomas
 */ 

#ifndef F_CPU
	#error "F_CPU ist not set!"
#endif


#include <avr/io.h>
#include <avr/interrupt.h>
#include "BasicDefines.h"

#include "main.h"
#include "TimerClock/TimerClock.h"
#include "HMI/HMI.h"
#include "Effects/EffectsControl.h"

#include "HSV2RGB/HSV2RGB.h"


int main(void)
{
	// After boot-loader TX off
	UCSR0B = 0;

SET_DDR_DEBUG1;
SET_DDR_DEBUG2;
SET_DDR_DEBUG3;
	
	// Pull up resistors on (reserve pins)
	PORTB |= (1<<PORTB0)|(1<<PORTB1);

	EffectsControlInit();

	HMI_Init();

 	TimerClockInit();

	sei();
	
	
    for (;;) 
    {
		TimerClock();
		
		HMI_Main();

		EffectsControl();
    } 


} // main(void)

